VOS_BACKUP(1)

NAME
vos backup - Creates a backup volume for a single read/write volume

SYNOPSIS
vos backup << -id <volume name or ID >>> << [-cell <cell name] >>>
    [-noauth] [-localauth] [-verbose] [-help]

vos backup << -i <volume name or ID >>> [-c<cell name>]
    [-n] [-l] [-v] [-h]

DESCRIPTION
The vos backup command clones the indicated read/write volume to create a backup version, placing it at the same site as the read/write version. The backup volume's name is the same as the read/write source's with the addition of the .backup extension. Its volume ID number is the one allocated for it in the Volume Location Database (VLDB) when the read/write source was created with the vos create command. If a backup version already exists, the new clone replaces it.

To create a backup version of multiple volumes, use the vos backupsys command.

OPTIONS

-id <volume name or ID>
    Specifies either the complete name or volume ID number of the read/write source volume.

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the vos(1) manpage.

-noauth
    Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the vos(1) manpage.

-localauth
    Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The vos command interpreter presents it to the Volume Server and Volume Location Server during mutual authentication. Do not combine this flag with the -cell argument or -noauth flag. For more details, see the vos(1) manpage.

-verbose
    Produces on the standard output stream a detailed trace of the command's execution. If this argument is omitted, only warnings and error messages appear.

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The following message confirms that the command succeeded:

   Created backup volume for I<volume name>

EXAMPLES
The following example creates a backup version of the volume user.smith.

   % vos backup user.smith
   Created backup volume for user.smith

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/afs/etc/UserList file on the machine specified with the -server argument and on each database server machine. If the -localauth flag is included, the issuer must instead be logged on to a server machine as the local superuser root.

SEE ALSO
the vos(1) manpage, the vos_backupsys(1) manpage

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.